/* SoccerBot - Giotto Controller Classes - Controller_InputDriver
Copyright (C) 2006 Peter Wild, Krystian Szczurek, Georg Klima

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

Contact:
Peter Wild, pwild - at - cosy.sbg.ac.at
Krystian Szczurek, szczurek - at - cosy.sbg.ac.at
Georg Klima, gklima - at - cosy.sbg.ac.at
University of Salzburg, Austria
*/
package at.ac.sbg.cosy.soccerbot.controller;

import giotto.functionality.interfaces.DriverInterface;
import giotto.functionality.table.Parameter;
import java.io.Serializable;

/**
 * Used by the Giotto input driver to copy the ball together with bumper boolean.
 * @author Peter Wild, Krystian Szczurek, Georg Klima
 */
@SuppressWarnings("serial")
public class Controller_InputDriver implements DriverInterface, Serializable {

	/**
     * @see giotto.functionality.interfaces.DriverInterface#run(Parameter)
     */
    public void run(Parameter p) {
        Region_port fromBall = (Region_port)p.getPortVariable(0);
        Boolean_port fromBumper = (Boolean_port)p.getPortVariable(1);
        Region_port toBall = (Region_port)p.getPortVariable(2);
        Boolean_port toBumper = (Boolean_port)p.getPortVariable(3);
        toBall.copyValueFrom(fromBall);
        toBumper.copyValueFrom(fromBumper);
    }
}
