/* SoccerBot - Giotto Controller Classes - DeInit_Task
Copyright (C) 2006 Peter Wild, Krystian Szczurek, Georg Klima

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

Contact:
Peter Wild, pwild - at - cosy.sbg.ac.at
Krystian Szczurek, szczurek - at - cosy.sbg.ac.at
Georg Klima, gklima - at - cosy.sbg.ac.at
University of Salzburg, Austria
*/
package at.ac.sbg.cosy.soccerbot.controller;

import giotto.functionality.interfaces.TaskInterface;
import giotto.functionality.table.Parameter;

import java.io.Serializable;

import at.ac.sbg.cosy.soccerbot.acquisition.ImageAcquisition;
import at.ac.sbg.cosy.soccerbot.rcxdrive.RCXDrive;

/**
 * The deInit task shuts down actuators and sensors 
 * @author Peter Wild, Krystian Szczurek, Georg Klima
 */
@SuppressWarnings("serial")
public class DeInit_Task implements TaskInterface, Serializable 
{	
	/**
	 * @see TaskInterface#run(giotto.functionality.table.Parameter)
	 */
	public void run(Parameter p) {
		if (RCXDrive.getInstance() != null){
			RCXDrive.getInstance().close();
		}
		if (ImageAcquisition.getInstance() != null){
			ImageAcquisition.getInstance().close();
		}
	}
}
